org.apache.fop.accessibility

## Class Accessibility

- java.lang.Object
- - org.apache.fop.accessibility.Accessibility

-     public final class Accessibility
      extends Object

  Helper class for FOP's accessibility features.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESSIBILITY` Constant string for the rendering options key to enable accessibility features.
    `static String` | `KEEP_EMPTY_TAGS` Constant string for the rendering options key to suppress empty tags from structure tree.
    `static String` | `ROLE_ARTIFACT` The value to be set on the 'role' property for the element and its descendants to be considered as artifacts.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESSIBILITY

          public static final String ACCESSIBILITY

      Constant string for the rendering options key to enable accessibility features.
      See Also:
        Constant Field Values

    - #### KEEP_EMPTY_TAGS

          public static final String KEEP_EMPTY_TAGS

      Constant string for the rendering options key to suppress empty tags from structure tree.
      See Also:
        Constant Field Values

    - #### ROLE_ARTIFACT

          public static final String ROLE_ARTIFACT

      The value to be set on the 'role' property for the element and its descendants to be considered as artifacts.
      See Also:
        Constant Field Values

Copyright © 2023 Apache Software Foundation. All rights reserved.